Reject build
Cancels a build that is waiting for approval. Requires the project maintainer role.
Operation ID
reject_buildCancels a build that is waiting for approval. Requires the project maintainer role.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
build_id*string
Build ID
Request Body
application/json
Optional reason, shown on the build
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/builds/string/reject" \ -H "Content-Type: application/json" \ -d '{}'{ "build": { "approval": null, "branch": "string", "build_number": 0, "changelog": "string", "commit_sha": "string", "config_snapshot": {}, "context": null, "created_at": 0, "exit_code": 0, "finished_at": 0, "id": "string", "pipeline_id": "string", "project_id": "string", "queued_at": 0, "retry_steps": [ "string" ], "runner_id": "string", "runner_policy_block_reason": null, "source_build_id": "string", "started_at": 0, "status": "queued", "step_results": [ { "duration_ms": 0, "exit_code": 0, "finished_at": 0, "name": "string", "publish_from_file": true, "started_at": 0, "status": "string" } ], "trigger_actor": "string", "trigger_event": "string", "trigger_ref": "string", "trigger_type": "manual", "updated_at": 0 }}